Subject: Gene processing toolbox for the Mac

From: [email-masked] (Peter Stone)
Date: Mon, 18 Nov 1996 12:04:13 +0100 (MET)

Hi, I'm not a chemist but a programmer, and I've written several
hundred general-purpose algorithms that might be useful for you.
The algorithms let you generate and process rna and turn the results
into amino acids. Let me know if such program is needed, and what 
other features it should have.

I'm not a regular on this list and would appreciate answers directly
to my email.

Peter
[email-masked]

---

Here is an example of how a recursive van kock gene can be constructed.
Implement it in an organism and we might get interesting new properties,
designed with mathematical perfection from the algorithm library of:

        - fractals       - chaos
        - lsystems       - fourier synthesis
        - autocatalysis  - neurons
        - energy fields  - fibonacci numbers
        - loops          - morphs
        - transforms     - interpolations
        - palindromes    - variations
        - divisions      - primes
        - solar systems  - rna
        - clusters       - proportions
        - permutations   - rotations
 
You can also process existing genes with the above. Morph eye to ear,
or permute hiv hxb2 env gene, experiment if a rotated fibonacci neuron
structure performs better than non-rotated, loop genes for better 
beef productivity, etc.

; define recursive kock-curve

(def-grammar 'koch-curve
   axiom (f + f + f + f)
   f (f + f - f - f f + f + f - f)
   - (-)
   + (+)
   < (<)
   > (>)
)

; define neuron to convert linear symbols to rna symbols

(def-neuron symbols-to-rna
   (in 1 'a) 
   'u 
   (in 1 'b) 
   'g 
   (in 1 'c) 
   't 
   (in 1 'd) 
   'a 
)

; generate master-rna from kock-curve in 3 recursion levels, and scale the
; symbols into rna symbols

(setq master-rna
      (run-neuron 'symbols-to-rna
          (symbol-scale '(a d) 
              (gen-lsystem axiom 3 '(f + - < >) 'koch-curve))))

; compile rna into aminoacids

(rna-compile master-rna)
--> (gly leu gly trp gly gly val gly cys phe val val leu trp val gly val gly 
trp gly trp gly gly val phe gly leu trp gly gly val gly gly leu gly trp gly val 
trp phe val gly cys leu val leu phe tyr phe gly leu trp gly gly gly val phe gly 
phe ile leu phe trp phe tyr phe ile asn stp ile phe tyr phe gly phe leu val 
leu phe tyr lys leu asn ile leu)